local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable",
    lazypath,
    print([[
      Installing lazy.vim and plugins....
    ]])
  })
end
vim.opt.rtp:prepend(lazypath)

local plugins = {
  --- Lazy ---
  "folke/lazy.nvim" --- Lazy will manage itself
}

local opts = {}
require("lazy").setup(plugins, opts)